Retrieves all VEM chat messages for a given chat ID. Chat needs to be active (not deleted) and belong to the user making the request. It requires the 'VirtualEnergyManager' feature flag to be enabled for the user.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| chatId | Chat id identifier | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
VemChatMessageResponseV202510
| Property | Description | Type |
|---|---|---|
| content | Full message content | string |
| createdDate | Date/time offset representing when VEM chat message was sent | string (date-time) |
| vemChatMessageId | The identifier for the VEM chat message | integer (int32) |
| vemChatMessageRole | VEM Chat message role. 1-User, 2-Assistant, 3-Error. Must be a valid value for VemChatMessageRole: User = 1, Assistant = 2, Error = 3 | integer (int32) |
Example Response
[
{ "content": "string", "createdDate": "2026-03-30", "vemChatMessageId": 1, "vemChatMessageRole": 1
}
]